LINUX.ORG.RU

Обновился до 8.0, но с проблемами

 ,


0

2

Обновился сразу на 2-ух компах, на обоих после обновления не запускается xfwm, на старом с i386-версией сегфолтится, а новом с amd64 memory fault. Поменял короче wm на openbox, на i386 появился рабочий стол с моим болотом, на amd64 нет, главное панелька и окошки есть и норм, юзать можно. Вероятно связано с тем, что какие-то пакеты не обновились(на i386 почти ничего не обновилось, ибо пакеты до сих пор из старого среза pkgsrc, видно на i386 проце и собирают их)только, ибо у pkgin не функции принудительно обновить все пакеты, в отличии от pkg-ng у FreeBSD/DragonFlyBSD, чтобы подобных проблем из-за смены мажорной версии ОС не было. У pkgsrc вообще много проблем, особенно из-за долбанутых майнтейнеров, вот ну какого хрена Firefox по дефолту собирается только с ALSA, которой в NetBSD нету, с зависимостями тоже есть траблы всякие.

Ну, а теперь о плюсах версии 8.0, nouveau теперь по дефолту и работает на более новом десктопе с NVIDIA, со звуком теперь никаких проблем, как и на FreeBSD/DragonFlyBSD, ибо микширование запилили в ядро и никаких пшшшшшшшаааудио не нужны больше.

Но с траблами я не буду пока разбираться, возможно с обновлением пофиксится, пользоваться ведь можно, да и к тому же у меня на основном компе ещё 6 других ОС, а трахаться с ОС нет желания, ибо есть возможность с женой, она сейчас курит и не думает уже бросать, а ставить овердофига ОС на комп и трахаться с ними я начал, когда она бросила курить, когда забеременела, а после того, как родила дочку не хотела снова начинать, а некурящие меня не возбуждают, а изменять я ей не хотел.

Проблем с обновлением никогда не было с FreeBSD и Void Linux(хотя он rolling-release и однажды я его больше года не обновлял). Ну а NetBSD хоть мне и нравится, секса она всегда требует*, это не FreeBSD которую поставил, настроил, пользуешься и обновляешь не зная бед.

*точнее pkgsrc, который проще закопать и адаптировать FreeBSD ports, как это сделали разрабы DragonFlyBSD, которые использовали до этого pkgsrc, так как он типа портабельный, может он и портабельный, но с таким качеством он нафиг нужный на других ОС.

отвалился gui

зато пульсаудио нет!!1111

Тяжела и неказиста жизнь борцуна с СИСТЕМОЙ

alexferman ★★ ()

Считаю тему секса с курящими недостаточно раскрытой

sehellion ★★★★★ ()

дык ессно после обновления базовой системы надо пересобрать pkgsrc :)

yoghurt ★★★★★ ()

Как там Wi-Fi поживает?

dimss ★★★★★ ()

Философ, томми … Я что, вернулся в 2010й?

redgremlin ★★★★★ ()

Не помню, когда, как и зачем я подписался на тег bsd, но, черт подери, до сих пор удивляюсь. Как? Зачем? Зачем люди так страдают? Ей богу, с хакинтошем на кривых ноутбуках проблем меньше.

petrosyan ★★★★★ ()
Ответ на: комментарий от beastie

Есть старый, проверенный способ не наступать на такие нубские грабли: https://www.dim13.org/Migrate-OpenBSD-from-i386-to-amd64

Тут про OpenBSD, в NetBSD такое не будет работать, но я придумал как подобное реализовать в ней, сейчас буду пробовать. Опять же это недостаток документации по NetBSD, всё нужно самому догадываться, гуглить и разбираться. А во FreeBSD/DragonFlyBSD делается гораздо проще, pkg upgrade -f и дело в шляпе.

filosof ()
Ответ на: комментарий от petrosyan

Как? Зачем? Зачем люди так страдают? Ей богу, с хакинтошем на кривых ноутбуках проблем меньше.

Во FreeBSD проблем нет вообще, а вот с NetBSD их больше всего.

filosof ()
Ответ на: комментарий от beastie

Сделал так

pkgin export > pkgs.txt
pkg_delete -ff '*-*'
pkg_add pkgin
pkgin up
pkgin import pkgs.txt

Ребутнулся, в итоге всё как было, так и осталось, ничего не пофиксилось.

filosof ()
Последнее исправление: filosof (всего исправлений: 1)
Ответ на: комментарий от yoghurt

дык ессно после обновления базовой системы надо пересобрать pkgsrc :)

Снёс все пакеты и поставил заново, 0 эффекта, видно надо пересобирать и не просто пересобирать, а ещё что-то где-то пофиксить, чем я заниматься не буду.

filosof ()
Ответ на: комментарий от Jopich1

«выбирай ноут с поддержкой линакса», как мне советовали.

ps: не факт, что поддерживаемое оборудование, для которого есть драйверы, будет работать.
всё нужно проверять. это опенсорс.. поэтому те, кому нужно работать, а не подбирать железо,
покупают так ненавистные всем гейбуки, либо сидят на винде. хотя и там бывают проблемы,
и под опенсорс-ОСью можно собрать рабочий конфиг. только статистика в пользу макоси и венды...

goodwin ★★ ()
Ответ на: комментарий от mrdeath

кстати еще не факт что pkgsrc уже собрали бинарные пакеты под 8.0

mrdeath ★★★★★ ()
Закрыто добавление комментариев для недавно зарегистрированных пользователей (со score < 50)